# class ChmodJob

###

Module | kio
Namespace | KIO
Class | ChmodJob
Inherits | KIO::Job

This job changes permissions on a list of files or directories, optionally in a recursive manner.

See also KIO.chmod()

### methods

- ChmodJob (dd)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  dd | ChmodJobPrivate |

- ChmodJob ( )

  returns ctor
  Not implemented
  before KDE 4.1.0 only

- slotResult (job)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  job | KJob |